Assets
List assets
Lists the assets of the library. When ‘folder_id’ is provided, only the direct children of that folder are returned (the listing is not recursive). When ‘folder_id’ is omitted, all assets across every folder level are returned as a flat, paginated list.
For File and Cobranded assets, the ‘downloadUrl’ is a pre-signed link that is valid for 3 hours only. Once it expires, list the asset again to obtain a fresh link.
GET
/
v3
/
assets
List assets
curl --request GET \
--url https://api.example.com/v3/assetsimport requests
url = "https://api.example.com/v3/assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v3/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v3/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v3/assets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v3/assets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v3/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 1,
"name": "Sales collateral",
"description": "Documents shared with partners.",
"type": "Folder",
"parentFolderId": null,
"sharingType": "Public",
"downloadUrl": null,
"url": null,
"originalFileName": null,
"creationDate": "2026-04-22T10:06:00Z",
"updateDate": null
},
{
"id": 2,
"name": "Product one-pager",
"description": "A short overview of the product.",
"type": "File",
"parentFolderId": null,
"sharingType": "Restricted",
"downloadUrl": "https://storage.kiflo.com/tenant-container/9f1c2b7a-3d4e-4f5a-8b6c-7d8e9f0a1b2c?sv=2023-11-03&se=2026-04-22T13%3A06%3A00Z&sig=Rq9pexampleSignatureValue%3D",
"url": null,
"originalFileName": "product-one-pager.pdf",
"creationDate": "2026-04-22T10:06:00Z",
"updateDate": "2026-04-23T08:15:00Z"
},
{
"id": 3,
"name": "Partner portal",
"description": "Link to the partner portal.",
"type": "Url",
"parentFolderId": null,
"sharingType": "Public",
"downloadUrl": null,
"url": "https://partners.kiflo.com",
"originalFileName": null,
"creationDate": "2026-04-22T10:06:00Z",
"updateDate": null
}
],
"paginationSkipCount": 0,
"totalCount": 3
}Query Parameters
List assets
curl --request GET \
--url https://api.example.com/v3/assetsimport requests
url = "https://api.example.com/v3/assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v3/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v3/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v3/assets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v3/assets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v3/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 1,
"name": "Sales collateral",
"description": "Documents shared with partners.",
"type": "Folder",
"parentFolderId": null,
"sharingType": "Public",
"downloadUrl": null,
"url": null,
"originalFileName": null,
"creationDate": "2026-04-22T10:06:00Z",
"updateDate": null
},
{
"id": 2,
"name": "Product one-pager",
"description": "A short overview of the product.",
"type": "File",
"parentFolderId": null,
"sharingType": "Restricted",
"downloadUrl": "https://storage.kiflo.com/tenant-container/9f1c2b7a-3d4e-4f5a-8b6c-7d8e9f0a1b2c?sv=2023-11-03&se=2026-04-22T13%3A06%3A00Z&sig=Rq9pexampleSignatureValue%3D",
"url": null,
"originalFileName": "product-one-pager.pdf",
"creationDate": "2026-04-22T10:06:00Z",
"updateDate": "2026-04-23T08:15:00Z"
},
{
"id": 3,
"name": "Partner portal",
"description": "Link to the partner portal.",
"type": "Url",
"parentFolderId": null,
"sharingType": "Public",
"downloadUrl": null,
"url": "https://partners.kiflo.com",
"originalFileName": null,
"creationDate": "2026-04-22T10:06:00Z",
"updateDate": null
}
],
"paginationSkipCount": 0,
"totalCount": 3
}
